Name: grub
Version: 0.95
Release: alt1

Summary: GRand Unified Bootloader
License: GPL
Group: System/Kernel and hardware
Exclusivearch: %ix86

Source: ftp://alpha.gnu.org/gnu/grub/%name-%version.tar.bz2

#General features
Patch1: grub-0.5.96.1-special-raid-devices.patch
Patch2: grub-0.90-append.patch
Patch3: grub-0.91-nice-magic.patch
Patch4: grub-0.91-grub-install.patch 
Patch5: grub-0.94-rh-initrdmax.patch
Patch6: grub-0.95-rh-hiddenmenu-tweak.patch
Patch7: grub-0.94-rh-geometry-26kernel.patch

#GFX feathure from SuSE
Patch301: grub-0.92-suse-graphics.patch
Patch302: grub-0.92-suse-graphics2.patch
Patch303: grub-0.93-alt-gfx-build-fix.patch

Provides: %name-doc = %version, %name-graph = %version
Obsoletes: %name-doc, %name-graph

#_BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf = 2.13, automake = 1.4
#_set_automake_version 1.4
#_set_autoconf_version 2.13

# Automatically added by buildreq on Wed Jan 14 2004 (-bi)
BuildRequires: libncurses-devel libtinfo-devel termutils-devel tetex-core tetex-latex


%package utils
Group: System/Kernel and hardware
Summary: Additional utilites for %name

%description
GRUB is a GPLed bootloader intended to unify bootloading across x86
operating systems.  In addition to loading the Linux and *BSD kernels,
it implements the Multiboot standard, which allows for flexible loading
of multiple boot images (needed for modular kernels such as the GNU
Hurd).

%description utils
Additional utilites for %name


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%patch301 -p0
%patch302 -p0
%patch303 -p1

%build
#rm -rf configure
#autoconf
CFLAGS=-Os %configure --disable-auto-linux-mem-opt
%make_build
make -C docs dvi

%install
make install DESTDIR=$RPM_BUILD_ROOT/

rm -f $RPM_BUILD_ROOT{%_mandir/*/mbchk*,%_infodir/dir*}

install -d $RPM_BUILD_ROOT/boot/grub
mv $RPM_BUILD_ROOT%_datadir/grub/*/* $RPM_BUILD_ROOT/boot/grub

mkdir -p $RPM_BUILD_ROOT/boot/grub/pictures
cd $RPM_BUILD_ROOT/boot/grub/pictures

%post
if [ -f /boot/grub/install.sh ]; then
  if [ -x /usr/sbin/detectloader ]; then
    LOADER=$(/usr/sbin/detectloader)
    if [ "$LOADER" = "GRUB" ]; then
      sh /boot/grub/install.sh > /dev/null
    fi
  fi
fi

%install_info %name.info
%install_info multiboot.info

%preun
%uninstall_info %name.info
%uninstall_info multiboot.info

%files
%doc TODO BUGS NEWS ChangeLog docs/menu.lst
/boot/grub/*stage*
%_infodir/*
%_mandir/*/*
%_sbindir/*
%_bindir/*
%exclude %_sbindir/grub-terminfo

%files utils
%_sbindir/grub-terminfo

%changelog
* Wed Oct 20 2004 Stanislav Ievlev <inger@altlinux.org> 0.95-alt1
- 0.95

* Tue Mar 09 2004 Stanislav Ievlev <inger@altlinux.org> 0.94-alt1
- 0.94

* Wed Jan 14 2004 Stanislav Ievlev <inger@altlinux.org> 0.93-alt2
- fix building with gcc3.3

* Tue Apr 08 2003 Stanislav Ievlev <inger@altlinux.ru> 0.93-alt1
- removed patches for old graphics support
- removed grub-splashes too
- patch (nodeprecatedflags) removed
- dump patch turned off
- new grub-terminfo utility placed into grub-utils subpackage (to avoid deps on termutils-devel)

* Fri Feb 07 2003 Stanislav Ievlev <inger@altlinux.ru> 0.92-alt3.1
- removed old graphics support
- removed grub-graph package (now obsolete)

* Mon Feb 03 2003 Rider <rider@altlinux.ru> 0.92-alt3
- GFX menu support from SuSE

* Sun Oct  6 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.92-alt2
- try to fix graph menu cursor clearing passed items: keypressclear patch 
  modified -- now it refreshes the screen multiple times 
  (not only the first time)

* Mon Apr 01 2002 Stanislav Ievlev <inger@altlinux.ru> 0.91-alt5
- Added patch to fix meminfo displaying

* Fri Feb 15 2002 Stanislav Ievlev <inger@altlinux.ru> 0.91-alt4
- fixed grub-install

* Mon Feb 04 2002 Stanislav Ievlev <inger@altlinux.ru> 0.91-alt3
- real dump terminal fix and some other patches from grub-bug mailing list
 

* Wed Jan 30 2002 Stanislav Ievlev <inger@altlinux.ru> 0.91-alt2
- added temporary hack for the DUMB_TERMINAL mode

* Tue Jan 29 2002 Stanislav Ievlev <inger@altlinux.ru> 0.91-alt1
- 0.91
- all mandrake patches removed

* Fri Nov 16 2001 Stanislav Ievlev <inger@altlinux.ru> 0.90-alt8
- Added latest XFS+JFS patches 
- Added some RH patches

* Wed Nov 14 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.90-alt7
- Moved rebootin utility to bootloader-utils package.

* Wed Aug 22 2001 Stanislav Ievlev <inger@altlinux.ru> 0.90-alt6
- New image and new package (graph).

* Wed Aug 15 2001 Stanislav Ievlev <inger@altlinux.ru> 0.90-alt5
- Added first picture ( Junior ;) ).

* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 0.90-alt4
- Added patch for JFS support

* Wed Aug 08 2001 Stanislav Ievlev <inger@altlinux.ru> 0.90-alt3
- Removed Mandrake's builtins. We don't need it
- Added vga16 support.
- We don't  need previous hack now. All works.
  Problem was: some bad function set errnum nonzero.

* Thu Aug 02 2001 Stanislav Ievlev <inger@altlinux.ru> 0.90-alt2
- Temporary hack: memcheck() function doesn't work.

* Thu Jul 26 2001 Stanislav Ievlev <inger@altlinux.ru> 0.90-alt1
- 0.90. Little changes from previous snapshot

* Thu Jun 28 2001 Stanislav Ievlev <inger@altlinux.ru> 0.5.96.1-ipl5mdk
- Update to CVS at 20010530

* Mon May 28 2001 Stanislav Ievlev <inger@altlinux.ru> 0.5.96.1-ipl4mdk
- New patches from Mandrake

* Mon Dec 18 2000 AEN <aen@logic.ru>
- adopted for RE

* Mon Dec 11 2000 Pixel <pixel@mandrakesoft.com> 0.5.96.1-2mdk
- add a call to /boot/grub/install.sh if needed

* Sat Dec  9 2000 Pixel <pixel@mandrakesoft.com> 0.5.96.1-1mdk
- new version
  * patch fixbiosbug-nbsectors no more needed (unless you define NO_BUGGY_BIOS_IN_THE_WORLD)

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 0.5.95-7mdk
- %%uninstall_info is fixed, yeepee :)

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 0.5.95-6mdk
- fixbiosbug-nbsectors for some Geom Errors (warly's case)

* Wed Aug 16 2000 Pixel <pixel@mandrakesoft.com> 0.5.95-5mdk
- fix erroneous remove_info macro (sillyme)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5.95-4mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 0.5.95-3mdk
- macroization, BM

* Wed Jul 12 2000 Pixel <pixel@mandrakesoft.com> 0.5.95-2mdk
- add a patch for ezbios nonsense

* Mon Jul  3 2000 Pixel <pixel@mandrakesoft.com> 0.5.95-1mdk
- new version

* Sat May 20 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-14mdk
- add rebootin command (use altconfigfile cmd in menu.lst)
- add altconfigfile (read once)

* Mon May  8 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-12mdk
- add reiserfs handling (missing symlink handling though)

* Wed May  3 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-11mdk
- fix for linux-extended extended partition

* Tue May  2 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-10mdk
- fix case of not found keytable

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-9mdk
- remove a patch from caldera

* Sun Apr 16 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-8mdk
- nicer menu
- don't add automatic mem= if one is given

* Tue Apr  4 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-7mdk
- fix install path

* Mon Apr  3 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-6mdk
- integrate patches from caldera

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-5mdk
- re-rebuild

* Wed Mar 29 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-4mdk
- big patch (i18n & look)

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-3mdk
- split printable doc and some more to have smaller package (keep mainly info in
main package, very good one)
- cleanup install-info in % post scripts

* Fri Mar 24 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-2mdk
- remove unneeded patch
- use of % { ix86 }

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-1mdk
- remove now unneeded --disable-gunzip
- added option --disable-lba-support-bitmap-check
- patch for *very* buggy bioses (tells grub every hd is gigantic)
- new version

* Mon Mar 13 2000 Pixel <pixel@mandrakesoft.com> 0.5.93.1-7mdk
- configure with --disable-gunzip
(so that initrd is not gunzip'ed and fits in memory, that's the kernel's job anyway)

* Wed Mar  1 2000 Pixel <pixel@mandrakesoft.com> 0.5.93.1-6mdk
- remove no-device-check (was stupid)
- replace by something better (option --devices)

* Tue Feb 29 2000 Pixel <pixel@mandrakesoft.com> 0.5.93.1-5mdk
- add option no-device-check for grub binary (mainly for non-interactive use)

* Sun Jan 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.93.1-4mdk
- Add Exclusivearch.

* Tue Jan 4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.93.1-3mdk
- Add install_grub_on_floppy script (thnks b.bodin).
- Add dvi docs (tknks b.bodin).

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.93.1-2mdk
- Add %packager (thnks rpmlint).
- Remove CFLAGS.

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution based on debian version.
